--[[
    Copyright (c) 2010-2011 by Adam Hellberg
    
    This file is part of Chocobo.
    
    Chocobo is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    
    Chocobo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with Chocobo. If not, see <http://www.gnu.org/licenses/>.
--]]

if GetLocale() == "koKR" then
	local L = _G["ChocoboLocale"]
	
	L["AddCustomExists"] = "|cff00CCFF%q|r is already in the custom list for |cff00CCFF%s|r." -- Requires localization
L["AddCustomInvalidMount"] = "No/Invalid mount specified: |cff00CCFF%q|r" -- Requires localization
L["AddCustomInvalidSong"] = "No/Invalid song specified: |cff00CCFF%q|r" -- Requires localization
L["AddCustomSuccess"] = "Added |cff00CCFF%q|r to the custom list of |cff00CCFF%s|r!" -- Requires localization
L["AddCustomSyntax"] = "Syntax: addcustom \"<mount name>\" \"<song name>\"" -- Requires localization
L["AddedMount"] = "Added |cff00CCFF%s|r to the mount list!" -- Requires localization
L["AddedSong"] = "|cff00CCFF%s|r 를 재생목록에 추가하였습니다." -- Needs review
L["AddMountSyntax"] = "Syntax: addmount <name or ID of mount>" -- Requires localization
L["AddOnDisabled"] = "AddOn |cffFF0000DISABLED|r" -- Requires localization
L["AddOnEnabled"] = "AddOn |cff00FF00ENABLED|r" -- Requires localization
L["AddOnLoaded"] = "초코보 ver. %s가 성공적으로 로딩되었습니다. 환경설정은 /chocobo 를 입력해 주십시오." -- Needs review
L["AddSyntax"] = "Syntax: add <name of song>" -- Requires localization
L["AllMounts"] = "Now playing chocobo on all mounts!" -- Requires localization
L["AllMountsNotSet"] = "AllMounts variable not set, setting AllMounts variable to FALSE" -- Requires localization
L["AlreadyExists"] = "음악이 이미 목록에 있습니다." -- Needs review
L["AlreadyMounted"] = "이미 탈 것에 탑승중이며 음악이 재생되고 있습니다." -- Needs review
L["Broker_LeftClick"] = "Left Click - Open Chocobo Options" -- Requires localization
L["Broker_MiddleClick"] = "Middle Click - Toggle Sound Control" -- Requires localization
L["Broker_RightClick"] = "Right Click - Open Chocobo Sound Control" -- Requires localization
L["Broker_Text"] = "Open Chocobo options" -- Requires localization
L["Broker_Version"] = "|cffFFFFFFBroker Chocobo %s|r" -- Requires localization
L["CurrentMount"] = "현재 %q에 탑승 중입니다." -- Needs review
L["CustomNotDefined"] = "Custom songs for |cff00CCFF%q|r have not been defined, aborting PlayMusic." -- Requires localization
L["CustomSongNotFound"] = "Custom song for |cff00CCFF%q|r not found, aborting PlayMusic." -- Requires localization
L["CustomSongPanel_Description"] = "Specify specific songs to be played for a mount, multiple songs can added per mount, just use the same mount name when adding more songs." -- Requires localization
L["CustomSongPanel_MountEditDefault"] = "<Name of Mount>" -- Requires localization
L["CustomSongPanel_PanelDesc"] = "Specify a song name to combine with a mount." -- Requires localization
L["CustomSongPanel_SongEditDefault"] = "<Name of Song>" -- Requires localization
L["DebuggingDisabled"] = "Debugging disabled!" -- Requires localization
L["DebuggingEnabled"] = "Debugging enabled!" -- Requires localization
L["DebugIsDisabled"] = "디버깅이 비활성되었습니다." -- Needs review
L["DebugIsEnabled"] = "디버깅이 활성되었습니다." -- Needs review
L["DebugNotSet"] = "Debug variable not set, setting debug variable to FALSE" -- Requires localization
L["DebugPrefix"] = "|cff00FF00[Chocobo]|r |cffFFFF00DEBUG:|r " -- Requires localization
L["DisabledNotPlaying"] = "애드온이 비활성중이라 음악이 재생되지 않습니다." -- Needs review
L["EnabledNotSet"] = "Enabled variable not set, setting Enabled variable to TRUE" -- Requires localization
L["Enjoy"] = "Enjoy your chocobo!" -- Requires localization
L["ErrorPrefix"] = "|cff00FF00[Chocobo]|r |cffFF0000ERROR:|r " -- Requires localization
L["Event_UNIT_AURA"] = "UNIT_AURA Event Detected (%s)" -- Requires localization
L["FlametalonFalse"] = "Not playing chocobo on Flametalon of Alysrazor" -- Requires localization
L["FlametalonNotSet"] = "Flametalon variable not set, setting Flametalon variable to FALSE" -- Requires localization
L["FlametalonTrue"] = "Now playing chocobo on Flametalon of Alysrazor" -- Requires localization
L["HawkstriderOnly"] = "매타조에 탑승할 때만 초코보를 재생합니다." -- Needs review
L["HelpMessage1"] = "Commands:" -- Needs review
L["HelpMessage10"] = "reset: 음악 목록을 초기화 (사용자가 설정한 모든 음악목록이 삭제됩니다.)" -- Needs review
L["HelpMessage11"] = "debug: 디버그 상태 확인, 명령어 다음에 enable 또는 disable 입력" -- Needs review
L["HelpMessage12"] = "addmount <name or ID of mount>: Add a mount that music will play for when AddOn is in \"Hawkstrider Only\" mode" -- Requires localization
L["HelpMessage13"] = "removemount <name or ID of mount>: Remove a mount from the mount list (user-added mounts only)" -- Requires localization
L["HelpMessage14"] = "listmounts: List all user-added mounts" -- Requires localization
L["HelpMessage15"] = "resetmounts: Reset user-added mounts to default (empty)" -- Requires localization
L["HelpMessage16"] = "soundcontrol: Various settings for sound control. Type /chocobo soundcontrol for usage." -- Requires localization
L["HelpMessage17"] = "ravenlord: Toggle whether or not to play chocobo on Raven Lord (Anzu)." -- Requires localization
L["HelpMessage18"] = "plainstrider: Toggle whether or not to play chocobo on Plainstriders." -- Requires localization
L["HelpMessage19"] = "flametalon: Toggle whether or not to play chocobo on Flametalon of Alysrazor." -- Requires localization
L["HelpMessage2"] = "options: GUI 보기" -- Needs review
L["HelpMessage3"] = "allmounts: 탈 것 탑승시 항상 초코보 음악 재생" -- Needs review
L["HelpMessage4"] = "hawkstrider: 매타조 탑승시에만 음악 재생" -- Needs review
L["HelpMessage5"] = "toggle: 애드온 on/off" -- Needs review
L["HelpMessage6"] = "<name of song> 추가 : 해당 이름의 음악파일을 추가합니다. (파일 확장자 포함)" -- Needs review
L["HelpMessage7"] = "<name of song> 삭제 : 해당 이름의 음악파일을 제거합니다. (파일 확장자 포함)" -- Needs review
L["HelpMessage8"] = "(삭제 명령은 시스템 내의 파일이 아니라 게임중 재생목록에 반영됩니다.)" -- Needs review
L["HelpMessage9"] = "목록: 모든 음악파일의 목록을 표시합니다." -- Needs review
L["InvalidCommand"] = "%q is not a valid command, please consult the AddOn documentation for a list of available commands" -- Requires localization
L["MountAlreadyExists"] = "Mount already exists in list" -- Requires localization
L["MountListEmpty"] = "The mount list is empty" -- Requires localization
L["MountNotFound"] = "Unable to find the specified mount in list" -- Requires localization
L["MsgPrefix"] = "|cff00FF00[Chocobo]|r " -- Requires localization
L["MusicListEmpty"] = "The music list is empty" -- Requires localization
L["NoFile"] = "No file specified" -- Requires localization
L["NoHawkstrider"] = "플레이어가 매타조에 탑승하지 않았습니다." -- Needs review
L["NoMount"] = "No mount specified" -- Requires localization
L["NoMounts"] = "User mount list is empty, setting to default value (empty)" -- Requires localization
L["NoMusic"] = "재생목록이 비어있어 기본값으로 설정합니다." -- Needs review
L["NotLoaded"] = "문제가 발생하여 애드온이 정상적으로 로딩되지 않았습니다." -- Needs review
L["NotMounted"] = "플레이어가 탑승하지 않아 음악재생을 중지합니다." -- Needs review
L["Options_Add"] = "추가" -- Needs review
L["Options_AddOnState"] = "AddOn is |cff%s%s|r" -- Requires localization
L["Options_AllMounts"] = "모든 탈 것에 탑승시 음악을 재생합니다." -- Needs review
L["Options_DebugState"] = "Debugging is |cff%s%s|r" -- Requires localization
L["Options_Description"] = "애드온 활경설정|nv%s" -- Needs review
L["Options_Disabled"] = "비활성화" -- Needs review
L["Options_Enabled"] = "활성화" -- Needs review
L["Options_FlametalonToggle"] = "Play music when mounting Flametalon of Alysrazor" -- Requires localization
L["Options_Hawkstrider"] = "매타조 탑승시에만 음악을 재생합니다." -- Needs review
L["Options_List"] = "목록" -- Needs review
L["Options_MountPanelDesc"] = "Add/Remove, reset and list mounts" -- Requires localization
L["Options_OpenSoundControlButton"] = "Open sound control panel" -- Requires localization
L["Options_PlainstriderToggle"] = "Play music when mounting Plainstriders" -- Requires localization
L["Options_PreventDupeToggle"] = "Prevent the same song playing twice in a row" -- Requires localization
L["Options_RavenLordToggle"] = "까마귀 군주의 고삐(안주) 탑승 시 음악 재생" -- Needs review
L["Options_Remove"] = "제거" -- Needs review
L["Options_Reset"] = "재설정" -- Needs review
L["Options_RidingCraneToggle"] = "Play music when mounting Riding Cranes" -- Requires localization
L["Options_SongPanelDesc"] = "음악 추가/제거, 재설정 및 목록" -- Needs review
L["PlainstriderFalse"] = "Not playing chocobo on Plainstriders!" -- Requires localization
L["PlainstriderNotSet"] = "Plainstrider variable not set, setting Plainstrider variable to TRUE" -- Requires localization
L["PlainstriderTrue"] = "Now playing chocobo on Plainstriders!" -- Requires localization
L["PlayerIsMounted"] = "Player is mounted" -- Requires localization
L["PlayerOnHawkstrider"] = "Player is on a hawkstrider or CHOCOBO_ALLMOUNTS is set to true" -- Requires localization
L["PlayingMusic"] = "Playing Music" -- Requires localization
L["PlayingSong"] = "Playing song id |cff00CCFF%d|r (|cff00CCFF%s|r)" -- Requires localization
L["PreventDupeDisabled"] = "Prevent Dupe disabled, songs may now play twice in a row." -- Requires localization
L["PreventDupeEnabled"] = "Prevent Dupe enabled, songs will no longer play twice in a row." -- Requires localization
L["PreventDupeNotSet"] = "PreventDupe variable not set, setting PreventDupe variable to TRUE" -- Requires localization
L["PrintMusicCustomHeader"] = "Custom music for |cff00CCFF%s|r:" -- Requires localization
L["PrintMusicCustomSong"] = "%s" -- Requires localization
L["PrintMusicCustomStart"] = "Custom music list:" -- Requires localization
L["RavenLordFalse"] = "Not playing chocobo on Raven Lord (Anzu)" -- Requires localization
L["RavenLordNotSet"] = "RavenLord variable not set, setting RavenLord variable to FALSE" -- Requires localization
L["RavenLordTrue"] = "Now playing chocobo on Raven Lord (Anzu)" -- Requires localization
L["RemoveCustomInvalidMount"] = "Invalid mount name specified: %q." -- Requires localization
L["RemoveCustomNotExist"] = "%q does not exist in the custom list." -- Requires localization
L["RemoveCustomSuccess"] = "Successfully removed all custom songs from %q!" -- Requires localization
L["RemoveCustomSyntax"] = "Syntax: removecustom <mount name>" -- Requires localization
L["RemovedMount"] = "Removed |cff00CCFF%s|r from the mount list!" -- Requires localization
L["RemovedSong"] = "Removed |cff00CCFF%s|r from the music list!" -- Requires localization
L["RemoveMountSyntax"] = "Syntax: removemount <name or ID of mount>" -- Requires localization
L["RemoveSyntax"] = "Syntax: remove <name of song>" -- Requires localization
L["ResetMounts"] = "Resetting user mount list to DEFAULT (empty)" -- Requires localization
L["ResetMusic"] = "Resetting music list to DEFAULT" -- Requires localization
L["RidingCranesFalse"] = "Not playing chocobo on Riding Cranes!" -- Requires localization
L["RidingCranesNotSet"] = "RidingCranes variable not set, setting RidingCranes variable to TRUE" -- Requires localization
L["RidingCranesTrue"] = "Now playing chocobo on Riding Cranes!" -- Requires localization
L["SCAmbDisabled"] = "Sound control is no longer controlling ambience playback" -- Requires localization
L["SCAmbEnabled"] = "Sound Control is now controlling ambience playback" -- Requires localization
L["SCAmbMountDisabled"] = "Ambience will no longer play when mounted" -- Requires localization
L["SCAmbMountEnabled"] = "Ambience will now play when mounted" -- Requires localization
L["SCAmbNoMountDisabled"] = "Ambience will no longer play when not mounted" -- Requires localization
L["SCAmbNoMountEnabled"] = "Ambience will now play when not mounted" -- Requires localization
L["SCAmbVolumeDisabled"] = "Ambience volume control disabled" -- Requires localization
L["SCAmbVolumeEnabled"] = "Ambience volume control enabled" -- Requires localization
L["SCDefaultDisabled"] = "Sound Control default mode disabled!" -- Requires localization
L["SCDefaultEnabled"] = "Sound Control default mode enabled!" -- Requires localization
L["SCDisabled"] = "Sound Control disabled!" -- Requires localization
L["SCEnabled"] = "Sound Control enabled!" -- Requires localization
L["SCMusicDisabled"] = "Sound Control is no longer controlling music playback" -- Requires localization
L["SCMusicEnabled"] = "Sound Control is now controlling music playback" -- Requires localization
L["SCMusicMountDisabled"] = "Music will no longer play when mounted" -- Requires localization
L["SCMusicMountEnabled"] = "Music will now play when mounted" -- Requires localization
L["SCMusicNoMountDisabled"] = "Music will no longer play when not mounted" -- Requires localization
L["SCMusicNoMountEnabled"] = "Music will now play when not mounted" -- Requires localization
L["SCMusicVolumeDisabled"] = "Music volume control disabled" -- Requires localization
L["SCMusicVolumeEnabled"] = "Music volume control enabled" -- Requires localization
L["SCNewAmbVolume"] = "New ambience volume set to |cff00CCFF%d|r" -- Requires localization
L["SCNewMusicVolume"] = "New music volume set to |cff00CCFF%d|r" -- Requires localization
L["SCNewSFXVolume"] = "New SFX volume set to |cff00CCFF%d|r" -- Requires localization
L["SCSFXDisabled"] = "Sound Control is no longer controlling SFX playback" -- Requires localization
L["SCSFXEnabled"] = "Sound Control is now controlling SFX playback" -- Requires localization
L["SCSFXMountDisabled"] = "SFX will no longer play when mounted" -- Requires localization
L["SCSFXMountEnabled"] = "SFX will now play when mounted" -- Requires localization
L["SCSFXNoMountDisabled"] = "SFX will no longer play when not mounted" -- Requires localization
L["SCSFXNoMountEnabled"] = "SFX will now play when not mounted" -- Requires localization
L["SCSFXVolumeDisabled"] = "SFX volume control disabled" -- Requires localization
L["SCSFXVolumeEnabled"] = "SFX volume control enabled" -- Requires localization
L["SCSyntax1"] = "Syntax: soundcontrol |cff00CCFFgui|r|||cff00CCFFtoggle|r|||cff00CCFFdefault|r" -- Requires localization
L["SCSyntax2"] = "Syntax: soundcontrol |cff00CCFFmusic|r|||cff00CCFFsfx|r|||cff00CCFFambience|r |cff00CCFFtoggle|r|||cff00CCFFmount|r|||cff00CCFFnomount|r|||cff00CCFFvolume|r" -- Requires localization
L["SCVarsOutOfDate"] = "Sound Control variables out of date, setting default values while trying to preserve user-made modifications..." -- Requires localization
L["SCVolumeNotAllowed"] = "Volume cannot be changed while default mode is enabled" -- Requires localization
L["SCVolumeOutOfRange"] = "Volume can only be a value between 0 and 100, inclusive" -- Requires localization
L["SongNotFound"] = "Unable to find the specified song in list" -- Requires localization
L["SongsUpdated"] = "|cff00CCFF%d|r songs were updated!" -- Requires localization
L["SongsUpToDate"] = "All songs up to date" -- Requires localization
L["SongUpdated"] = "Updated song with ID |cff00CCFF%d|r to path |cff00CCFF%q|r" -- Requires localization
L["SoundControl_Ambience"] = "Ambience" -- Requires localization
L["SoundControl_AmbienceDesc"] = "Settings for ambience playback" -- Requires localization
L["SoundControl_AmbienceEnable"] = "Enable ambience control" -- Requires localization
L["SoundControl_AmbienceMount"] = "Ambience enabled when mounted" -- Requires localization
L["SoundControl_AmbienceNoMount"] = "Ambience enabled when not mounted" -- Requires localization
L["SoundControl_AmbienceSetVolume"] = "Set ambience volume to:" -- Requires localization
L["SoundControl_AmbienceVolume"] = "Enable ambience volume control" -- Requires localization
L["SoundControl_Caption"] = "Use the various settings here to control how sound control should behave." -- Requires localization
L["SoundControl_DefaultHelp"] = "When in default mode, the AddOn will function as it previously did. Enabling music playback while on mount and disabling all other sounds." -- Requires localization
L["SoundControl_DefaultNote"] = "|cffFF0000Please note that when default mode is enabled, all settings below will be ignored.|r" -- Requires localization
L["SoundControl_Description"] = "When in sound control mode, the AddOn will automatically enable and disable all game sounds when you mount and dismount." -- Requires localization
L["SoundControl_Music"] = "Music" -- Requires localization
L["SoundControl_MusicDesc"] = "Settings for music playback" -- Requires localization
L["SoundControl_MusicEnable"] = "Enable music control" -- Requires localization
L["SoundControl_MusicMount"] = "Music enabled when mounted" -- Requires localization
L["SoundControl_MusicNoMount"] = "Music enabled when not mounted" -- Requires localization
L["SoundControl_MusicSetVolume"] = "Set music volume to:" -- Requires localization
L["SoundControl_MusicVolume"] = "Enable music volume control" -- Requires localization
L["SoundControlNotSet"] = "Sound Control variables not set, setting default values..." -- Requires localization
L["SoundControlReset"] = "Sound Control variables has been reset" -- Requires localization
L["SoundControl_SFX"] = "SFX" -- Requires localization
L["SoundControl_SFXDesc"] = "Settings for SFX playback" -- Requires localization
L["SoundControl_SFXEnable"] = "Enable SFX control" -- Requires localization
L["SoundControl_SFXMount"] = "SFX enabled when mounted" -- Requires localization
L["SoundControl_SFXNoMount"] = "SFX enabled when not mounted" -- Requires localization
L["SoundControl_SFXSetVolume"] = "Set SFX volume to:" -- Requires localization
L["SoundControl_SFXVolume"] = "Enable SFX volume control" -- Requires localization
L["SoundControl_Toggle"] = "Enable sound control" -- Requires localization
L["SoundControl_ToggleDefault"] = "Enable default mode" -- Requires localization

	
	setmetatable(L, {__index=ChocoboLocale_Default})
end