--[[
    Copyright (c) 2010-2011 by Adam Hellberg
    
    This file is part of Chocobo.
    
    Chocobo is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    
    Chocobo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with Chocobo. If not, see <http://www.gnu.org/licenses/>.
--]]

if GetLocale() == "zhCN" then
	local L = _G["ChocoboLocale"]
	
	L["AddCustomExists"] = "|cff00CCFF%q|r is already in the custom list for |cff00CCFF%s|r." -- Requires localization
L["AddCustomInvalidMount"] = "No/Invalid mount specified: |cff00CCFF%q|r" -- Requires localization
L["AddCustomInvalidSong"] = "No/Invalid song specified: |cff00CCFF%q|r" -- Requires localization
L["AddCustomSuccess"] = "Added |cff00CCFF%q|r to the custom list of |cff00CCFF%s|r!" -- Requires localization
L["AddCustomSyntax"] = "Syntax: addcustom \"<mount name>\" \"<song name>\"" -- Requires localization
L["AddedMount"] = "Added |cff00CCFF%s|r to the mount list!" -- Requires localization
L["AddedSong"] = "Added |cff00CCFF%s|r to the music list!" -- Requires localization
L["AddMountSyntax"] = "Syntax: addmount <name or ID of mount>" -- Requires localization
L["AddOnDisabled"] = "AddOn |cffFF0000DISABLED|r" -- Requires localization
L["AddOnEnabled"] = "AddOn |cff00FF00ENABLED|r" -- Requires localization
L["AddOnLoaded"] = "Chocobo %s has been loaded successfully! Use /chocobo for options" -- Requires localization
L["AddSyntax"] = "Syntax: add <name of song>" -- Requires localization
L["AllMounts"] = "Now playing chocobo on all mounts!" -- Requires localization
L["AllMountsNotSet"] = "AllMounts variable not set, setting AllMounts variable to FALSE" -- Requires localization
L["AlreadyExists"] = "Song already exists in list" -- Requires localization
L["AlreadyMounted"] = "Player was already mounted, song already playing" -- Requires localization
L["Broker_LeftClick"] = "Left Click - Open Chocobo Options" -- Requires localization
L["Broker_MiddleClick"] = "Middle Click - Toggle Sound Control" -- Requires localization
L["Broker_RightClick"] = "Right Click - Open Chocobo Sound Control" -- Requires localization
L["Broker_Text"] = "Open Chocobo options" -- Requires localization
L["Broker_Version"] = "|cffFFFFFFBroker Chocobo %s|r" -- Requires localization
L["CurrentMount"] = "Found that %q is your current mount" -- Requires localization
L["CustomNotDefined"] = "Custom songs for |cff00CCFF%q|r have not been defined, aborting PlayMusic." -- Requires localization
L["CustomSongNotFound"] = "Custom song for |cff00CCFF%q|r not found, aborting PlayMusic." -- Requires localization
L["CustomSongPanel_Description"] = "Specify specific songs to be played for a mount, multiple songs can added per mount, just use the same mount name when adding more songs." -- Requires localization
L["CustomSongPanel_MountEditDefault"] = "<Name of Mount>" -- Requires localization
L["CustomSongPanel_PanelDesc"] = "Specify a song name to combine with a mount." -- Requires localization
L["CustomSongPanel_SongEditDefault"] = "<Name of Song>" -- Requires localization
L["DebuggingDisabled"] = "Debugging disabled!" -- Requires localization
L["DebuggingEnabled"] = "Debugging enabled!" -- Requires localization
L["DebugIsDisabled"] = "Debugging is disabled" -- Requires localization
L["DebugIsEnabled"] = "Debugging is enabled" -- Requires localization
L["DebugNotSet"] = "Debug variable not set, setting debug variable to FALSE" -- Requires localization
L["DebugPrefix"] = "|cff00FF00[Chocobo]|r |cffFFFF00DEBUG:|r " -- Requires localization
L["DisabledNotPlaying"] = "AddOn currently disabled, not playing music" -- Requires localization
L["EnabledNotSet"] = "Enabled variable not set, setting Enabled variable to TRUE" -- Requires localization
L["Enjoy"] = "Enjoy your chocobo!" -- Requires localization
L["ErrorPrefix"] = "|cff00FF00[Chocobo]|r |cffFF0000ERROR:|r " -- Requires localization
L["Event_UNIT_AURA"] = "UNIT_AURA Event Detected (%s)" -- Requires localization
L["FlametalonFalse"] = "Not playing chocobo on Flametalon of Alysrazor" -- Requires localization
L["FlametalonNotSet"] = "Flametalon variable not set, setting Flametalon variable to FALSE" -- Requires localization
L["FlametalonTrue"] = "Now playing chocobo on Flametalon of Alysrazor" -- Requires localization
L["HawkstriderOnly"] = "Now playing chocobo on hawkstriders only!" -- Requires localization
L["HelpMessage1"] = "Commands:" -- Requires localization
L["HelpMessage10"] = "reset: Reset to song list to default values (THIS WILL WIPE ANY CUSTOM SONGS YOU HAVE SET)" -- Requires localization
L["HelpMessage11"] = "debug: check debug status, type enable or disable after to enable or disable debugging" -- Requires localization
L["HelpMessage12"] = "addmount <name or ID of mount>: Add a mount that music will play for when AddOn is in \"Hawkstrider Only\" mode" -- Requires localization
L["HelpMessage13"] = "removemount <name or ID of mount>: Remove a mount from the mount list (user-added mounts only)" -- Requires localization
L["HelpMessage14"] = "listmounts: List all user-added mounts" -- Requires localization
L["HelpMessage15"] = "resetmounts: Reset user-added mounts to default (empty)" -- Requires localization
L["HelpMessage16"] = "soundcontrol: Various settings for sound control. Type /chocobo soundcontrol for usage." -- Requires localization
L["HelpMessage17"] = "ravenlord: Toggle whether or not to play chocobo on Raven Lord (Anzu)." -- Requires localization
L["HelpMessage18"] = "plainstrider: Toggle whether or not to play chocobo on Plainstriders." -- Requires localization
L["HelpMessage19"] = "flametalon: Toggle whether or not to play chocobo on Flametalon of Alysrazor." -- Requires localization
L["HelpMessage2"] = "options: Show the GUI" -- Requires localization
L["HelpMessage3"] = "allmounts: play chocobo song on any mount" -- Requires localization
L["HelpMessage4"] = "hawkstrider: only play chocobo song on hawkstriders" -- Requires localization
L["HelpMessage5"] = "toggle: Toggle the AddOn on and off" -- Requires localization
L["HelpMessage6"] = "add <name of song>: Adds a music file with the name specified (including file extension)" -- Requires localization
L["HelpMessage7"] = "remove <name of song>: Removes a music file with the name specified (including file extension)" -- Requires localization
L["HelpMessage8"] = "(Note that the remove command will not remove the file from the system, only from the song list ingame)" -- Requires localization
L["HelpMessage9"] = "list: List all the songs in the song list" -- Requires localization
L["InvalidCommand"] = "%q is not a valid command, please consult the AddOn documentation for a list of available commands" -- Requires localization
L["MountAlreadyExists"] = "Mount already exists in list" -- Requires localization
L["MountListEmpty"] = "The mount list is empty" -- Requires localization
L["MountNotFound"] = "Unable to find the specified mount in list" -- Requires localization
L["MsgPrefix"] = "|cff00FF00[Chocobo]|r " -- Requires localization
L["MusicListEmpty"] = "The music list is empty" -- Requires localization
L["NoFile"] = "No file specified" -- Requires localization
L["NoHawkstrider"] = "Player is not on a hawkstrider" -- Requires localization
L["NoMount"] = "No mount specified" -- Requires localization
L["NoMounts"] = "User mount list is empty, setting to default value (empty)" -- Requires localization
L["NoMusic"] = "Music list is empty, adding default values" -- Requires localization
L["NotLoaded"] = "Something is wrong, addon doesn't seem to have loaded correctly" -- Requires localization
L["NotMounted"] = "Player not mounted, stopping music" -- Requires localization
L["Options_Add"] = "Add" -- Requires localization
L["Options_AddOnState"] = "AddOn is |cff%s%s|r" -- Requires localization
L["Options_AllMounts"] = "Music on |cffFFFFFFall mounts|r" -- Requires localization
L["Options_DebugState"] = "Debugging is |cff%s%s|r" -- Requires localization
L["Options_Description"] = "Configuration page for Chocobo|n%s" -- Requires localization
L["Options_Disabled"] = "disabled" -- Requires localization
L["Options_Enabled"] = "enabled" -- Requires localization
L["Options_FlametalonToggle"] = "Play music when mounting Flametalon of Alysrazor" -- Requires localization
L["Options_Hawkstrider"] = "Music on |cffFFFFFFhawkstriders only|r" -- Requires localization
L["Options_List"] = "List" -- Requires localization
L["Options_MountPanelDesc"] = "Add/Remove, reset and list mounts" -- Requires localization
L["Options_OpenSoundControlButton"] = "Open sound control panel" -- Requires localization
L["Options_PlainstriderToggle"] = "Play music when mounting Plainstriders" -- Requires localization
L["Options_PreventDupeToggle"] = "Prevent the same song playing twice in a row" -- Requires localization
L["Options_RavenLordToggle"] = "Play music when mounting Raven Lord (Anzu)" -- Requires localization
L["Options_Remove"] = "Remove" -- Requires localization
L["Options_Reset"] = "Reset" -- Requires localization
L["Options_RidingCraneToggle"] = "Play music when mounting Riding Cranes" -- Requires localization
L["Options_SongPanelDesc"] = "Add/Remove, reset and list songs" -- Requires localization
L["PlainstriderFalse"] = "Not playing chocobo on Plainstriders!" -- Requires localization
L["PlainstriderNotSet"] = "Plainstrider variable not set, setting Plainstrider variable to TRUE" -- Requires localization
L["PlainstriderTrue"] = "Now playing chocobo on Plainstriders!" -- Requires localization
L["PlayerIsMounted"] = "Player is mounted" -- Requires localization
L["PlayerOnHawkstrider"] = "Player is on a hawkstrider or CHOCOBO_ALLMOUNTS is set to true" -- Requires localization
L["PlayingMusic"] = "Playing Music" -- Requires localization
L["PlayingSong"] = "Playing song id |cff00CCFF%d|r (|cff00CCFF%s|r)" -- Requires localization
L["PreventDupeDisabled"] = "Prevent Dupe disabled, songs may now play twice in a row." -- Requires localization
L["PreventDupeEnabled"] = "Prevent Dupe enabled, songs will no longer play twice in a row." -- Requires localization
L["PreventDupeNotSet"] = "PreventDupe variable not set, setting PreventDupe variable to TRUE" -- Requires localization
L["PrintMusicCustomHeader"] = "Custom music for |cff00CCFF%s|r:" -- Requires localization
L["PrintMusicCustomSong"] = "%s" -- Requires localization
L["PrintMusicCustomStart"] = "Custom music list:" -- Requires localization
L["RavenLordFalse"] = "Not playing chocobo on Raven Lord (Anzu)" -- Requires localization
L["RavenLordNotSet"] = "RavenLord variable not set, setting RavenLord variable to FALSE" -- Requires localization
L["RavenLordTrue"] = "Now playing chocobo on Raven Lord (Anzu)" -- Requires localization
L["RemoveCustomInvalidMount"] = "Invalid mount name specified: %q." -- Requires localization
L["RemoveCustomNotExist"] = "%q does not exist in the custom list." -- Requires localization
L["RemoveCustomSuccess"] = "Successfully removed all custom songs from %q!" -- Requires localization
L["RemoveCustomSyntax"] = "Syntax: removecustom <mount name>" -- Requires localization
L["RemovedMount"] = "Removed |cff00CCFF%s|r from the mount list!" -- Requires localization
L["RemovedSong"] = "Removed |cff00CCFF%s|r from the music list!" -- Requires localization
L["RemoveMountSyntax"] = "Syntax: removemount <name or ID of mount>" -- Requires localization
L["RemoveSyntax"] = "Syntax: remove <name of song>" -- Requires localization
L["ResetMounts"] = "Resetting user mount list to DEFAULT (empty)" -- Requires localization
L["ResetMusic"] = "Resetting music list to DEFAULT" -- Requires localization
L["RidingCranesFalse"] = "Not playing chocobo on Riding Cranes!" -- Requires localization
L["RidingCranesNotSet"] = "RidingCranes variable not set, setting RidingCranes variable to TRUE" -- Requires localization
L["RidingCranesTrue"] = "Now playing chocobo on Riding Cranes!" -- Requires localization
L["SCAmbDisabled"] = "Sound control is no longer controlling ambience playback" -- Requires localization
L["SCAmbEnabled"] = "Sound Control is now controlling ambience playback" -- Requires localization
L["SCAmbMountDisabled"] = "Ambience will no longer play when mounted" -- Requires localization
L["SCAmbMountEnabled"] = "Ambience will now play when mounted" -- Requires localization
L["SCAmbNoMountDisabled"] = "Ambience will no longer play when not mounted" -- Requires localization
L["SCAmbNoMountEnabled"] = "Ambience will now play when not mounted" -- Requires localization
L["SCAmbVolumeDisabled"] = "Ambience volume control disabled" -- Requires localization
L["SCAmbVolumeEnabled"] = "Ambience volume control enabled" -- Requires localization
L["SCDefaultDisabled"] = "Sound Control default mode disabled!" -- Requires localization
L["SCDefaultEnabled"] = "Sound Control default mode enabled!" -- Requires localization
L["SCDisabled"] = "Sound Control disabled!" -- Requires localization
L["SCEnabled"] = "Sound Control enabled!" -- Requires localization
L["SCMusicDisabled"] = "Sound Control is no longer controlling music playback" -- Requires localization
L["SCMusicEnabled"] = "Sound Control is now controlling music playback" -- Requires localization
L["SCMusicMountDisabled"] = "Music will no longer play when mounted" -- Requires localization
L["SCMusicMountEnabled"] = "Music will now play when mounted" -- Requires localization
L["SCMusicNoMountDisabled"] = "Music will no longer play when not mounted" -- Requires localization
L["SCMusicNoMountEnabled"] = "Music will now play when not mounted" -- Requires localization
L["SCMusicVolumeDisabled"] = "Music volume control disabled" -- Requires localization
L["SCMusicVolumeEnabled"] = "Music volume control enabled" -- Requires localization
L["SCNewAmbVolume"] = "New ambience volume set to |cff00CCFF%d|r" -- Requires localization
L["SCNewMusicVolume"] = "New music volume set to |cff00CCFF%d|r" -- Requires localization
L["SCNewSFXVolume"] = "New SFX volume set to |cff00CCFF%d|r" -- Requires localization
L["SCSFXDisabled"] = "Sound Control is no longer controlling SFX playback" -- Requires localization
L["SCSFXEnabled"] = "Sound Control is now controlling SFX playback" -- Requires localization
L["SCSFXMountDisabled"] = "SFX will no longer play when mounted" -- Requires localization
L["SCSFXMountEnabled"] = "SFX will now play when mounted" -- Requires localization
L["SCSFXNoMountDisabled"] = "SFX will no longer play when not mounted" -- Requires localization
L["SCSFXNoMountEnabled"] = "SFX will now play when not mounted" -- Requires localization
L["SCSFXVolumeDisabled"] = "SFX volume control disabled" -- Requires localization
L["SCSFXVolumeEnabled"] = "SFX volume control enabled" -- Requires localization
L["SCSyntax1"] = "Syntax: soundcontrol |cff00CCFFgui|r|||cff00CCFFtoggle|r|||cff00CCFFdefault|r" -- Requires localization
L["SCSyntax2"] = "Syntax: soundcontrol |cff00CCFFmusic|r|||cff00CCFFsfx|r|||cff00CCFFambience|r |cff00CCFFtoggle|r|||cff00CCFFmount|r|||cff00CCFFnomount|r|||cff00CCFFvolume|r" -- Requires localization
L["SCVarsOutOfDate"] = "Sound Control variables out of date, setting default values while trying to preserve user-made modifications..." -- Requires localization
L["SCVolumeNotAllowed"] = "Volume cannot be changed while default mode is enabled" -- Requires localization
L["SCVolumeOutOfRange"] = "Volume can only be a value between 0 and 100, inclusive" -- Requires localization
L["SongNotFound"] = "Unable to find the specified song in list" -- Requires localization
L["SongsUpdated"] = "|cff00CCFF%d|r songs were updated!" -- Requires localization
L["SongsUpToDate"] = "All songs up to date" -- Requires localization
L["SongUpdated"] = "Updated song with ID |cff00CCFF%d|r to path |cff00CCFF%q|r" -- Requires localization
L["SoundControl_Ambience"] = "Ambience" -- Requires localization
L["SoundControl_AmbienceDesc"] = "Settings for ambience playback" -- Requires localization
L["SoundControl_AmbienceEnable"] = "Enable ambience control" -- Requires localization
L["SoundControl_AmbienceMount"] = "Ambience enabled when mounted" -- Requires localization
L["SoundControl_AmbienceNoMount"] = "Ambience enabled when not mounted" -- Requires localization
L["SoundControl_AmbienceSetVolume"] = "Set ambience volume to:" -- Requires localization
L["SoundControl_AmbienceVolume"] = "Enable ambience volume control" -- Requires localization
L["SoundControl_Caption"] = "Use the various settings here to control how sound control should behave." -- Requires localization
L["SoundControl_DefaultHelp"] = "When in default mode, the AddOn will function as it previously did. Enabling music playback while on mount and disabling all other sounds." -- Requires localization
L["SoundControl_DefaultNote"] = "|cffFF0000Please note that when default mode is enabled, all settings below will be ignored.|r" -- Requires localization
L["SoundControl_Description"] = "When in sound control mode, the AddOn will automatically enable and disable all game sounds when you mount and dismount." -- Requires localization
L["SoundControl_Music"] = "Music" -- Requires localization
L["SoundControl_MusicDesc"] = "Settings for music playback" -- Requires localization
L["SoundControl_MusicEnable"] = "Enable music control" -- Requires localization
L["SoundControl_MusicMount"] = "Music enabled when mounted" -- Requires localization
L["SoundControl_MusicNoMount"] = "Music enabled when not mounted" -- Requires localization
L["SoundControl_MusicSetVolume"] = "Set music volume to:" -- Requires localization
L["SoundControl_MusicVolume"] = "Enable music volume control" -- Requires localization
L["SoundControlNotSet"] = "Sound Control variables not set, setting default values..." -- Requires localization
L["SoundControlReset"] = "Sound Control variables has been reset" -- Requires localization
L["SoundControl_SFX"] = "SFX" -- Requires localization
L["SoundControl_SFXDesc"] = "Settings for SFX playback" -- Requires localization
L["SoundControl_SFXEnable"] = "Enable SFX control" -- Requires localization
L["SoundControl_SFXMount"] = "SFX enabled when mounted" -- Requires localization
L["SoundControl_SFXNoMount"] = "SFX enabled when not mounted" -- Requires localization
L["SoundControl_SFXSetVolume"] = "Set SFX volume to:" -- Requires localization
L["SoundControl_SFXVolume"] = "Enable SFX volume control" -- Requires localization
L["SoundControl_Toggle"] = "Enable sound control" -- Requires localization
L["SoundControl_ToggleDefault"] = "Enable default mode" -- Requires localization

	
	setmetatable(L, {__index=ChocoboLocale_Default})
end